* NEWS -- What's new in the m17n database.			-*- outline -*-
Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013
  2014
  National Institute of Advanced Industrial Science and Technology (AIST)
  Registration Number H15PRO112
See the end for copying conditions.
Copyright (C) 2015-2024 Kenichi Handa <handa@gnu.org>

* Changes in the m17n database 1.8.10

** New input methods is added.

ml-poorna-remington.mim: New input method by Mujeeb Rahman K <mujeebcpy@gmail.com>


* Changes in the m17n database 1.8.9

** Changes in input methods.

mr-gamabhana.mim: Update by Shantanu Oak <shantanu.oak@gmail.com>
ar-translit.mim: Use Shift+t (T) in ar-translit.mim to input the Arabic tatweel
                 (by Benjamin Westphal <benjamin.westphal@riseup.net>)


* Changes in the m17n database 1.8.8

** Changes in input methods.

bn-probhat.mim: Sync with the "in(ben_probhat)" layout in xkeyboard-config
mr-gamabhana.mim: Update by Shantanu Oak <shantanu.oak@gmail.com>
sa-vedic-itrans.mim: Improvements by विश्वासो वासुकिजः (Vishvas Vasuki) <vishvas.vasuki@gmail.com>
sa-itrans.mim: Improvements by विश्वासो वासुकिजः (Vishvas Vasuki) <vishvas.vasuki@gmail.com>
hi-itrans.mim: Improvements by विश्वासो वासुकिजः (Vishvas Vasuki) <vishvas.vasuki@gmail.com>
hu-rovas-post.mim: Sync with the improvements in hu-old-hungarian-rovas.txt in ibus-table-others
                   See: https://github.com/moebiuscurve/ibus-table-others/issues/29
                   Also make it possible to use non-ASCII accented characters like ü as input.


* Changes in the m17n database 1.8.7

** Changes in input methods.

mr-gamabhana.mim: Update by Shantanu Oak <shantanu.oak@gmail.com>
sa-vedic-itrans.mim: Additions by विश्वासो वासुकिजः (Vishvas Vasuki) <vishvas.vasuki@gmail.com>


* Changes in the m17n database 1.8.6

** Changes in input methods.

si-wijesekera.mim: Many updates by Harshula Jayasuriya <harshula@hj.id.au>
si-wijesekera.mim renamed to si-wijesekara.mim: also by Harshula Jayasuriya <harshula@hj.id.au

** Changes in the build system.

configure.ac: Add support for zstd-compressed charmaps


* Changes in the m17n database 1.8.5

** New input methods are added.

new-newa-traditional-extended: New input method by Swornim Nakarmi <svarnim.nakahmi1.618@gmail.com>
ml-pn-c: New input method for Malayalam by Ajith R <ajithramayyan at yahoo dot co dot in>
en-pn-eqf: This is a slightly modified version of the QWERTY English layout to be used along with the ml-pn-c input method


* Changes in the m17n database 1.8.4

** New input methods are added.

sa-vedic-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
dra-iso-15919-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
hi-brahmi-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
ks-sharada-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
mr-modi-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
sa-brahmi-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
sa-grantha-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
sa-iso-15919-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
sa-sharada-itrans: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
sa-inscript: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)
sa-iast-vedic: from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)

** Changes in input methods.

hi-itrans: Updates from "विश्वासो वासुकिजः (Vishvas Vasuki)" <vishvas.vasuki@gmail.com>
ne-trad-ttf: Update from author,  Santosh Pradhan <sapradhan8@gmail.com>
ja-trycode: Add icon.
ks-inscript: Add icon.
mai-inscript: Add icon.
ml-enhanced-inscript: Add icon.
mr-itrans: Add icon.
hi-remington: Add icon.
mr-typewriter: Add icon.
mr-phonetic: Add icon.
ne-rom-translit: Add icon.
zh-pinyin-yi: Add icon.
unicode: Add icon.
da-post: Add icon.
bo-ewts: Add icon.
bo-tcrc: Add icon.
kn-typewriter: Add icon.
grc-mizuochi: Add icon.
fr-azerty: Add icon.
hi-optitransv2: Updates from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)"
kn-optitransv2: Updates from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)"
sa-itrans: Updates from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)"
kn-itrans: Updates from "विश्वासो वासुकिजः (Vishvas Vasuki)" <vishvas.vasuki@gmail.com> and some extra bug fixes.
lsymbol: Some additions from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)" and
         some more improvements: Use emoji presentation when possible, better grouping in groups of 6, better description
math-latex: Updates from https://github.com/indic-transliteration/m17n-db-indic "विश्वासो वासुकिजः (Vishvas Vasuki)"
            New option "with-backslash-prefix".
ks-kbd: Fix typo in description, add icon.
ug-kbd: Add icon.
tai-sonla-kbd.png: Add icon.
mni-inscript2-mtei.png: Add icon.
sat-inscript2-olck.png: Add icon.
or-phonetic.png: Add icon.
sa-harvard-kyoto.png: Add icon.
pa-anmollipi.png: Add icon.
pa-remington.png: Add icon.
si-singlish.png: Add icon.
ta-lk-renganathan.png: Add icon.
te-rts.png: Add icon.
vi-han.png: Add icon.
vi-nomvni: Make existing icon work.
vi-nomtelex: Make existing icon work.
lsymbol: Add icon.
ssymbol: Add icon.


* Changes in the m17n database 1.8.3

** Changes in input methods.

kok-inscript2-deva, mr-inscript, mr-inscript2: Fix digit 0
ta-vutam: Change the header comment to a description
mr-gamabhana: icon resized to 48x48
latn1-pre: add icon
ar-translit: add icon
ath-phonetic: add icon
bla-phonetic: add icon
cr-western: add icon
iu-phonetic: add icon
nsk-phonetic: add icon
oj-phonetic: add icon
uk-kbd: add icon
eo-vi-sistemo: add icon
Rename the .mim files of some eo input methods to improve search for the icons

** Changes in the documentation

Workarounds for doxygen
Update some links to fonts in the documentation


* Changes in the m17n database 1.8.2

** New input methods are added.

si-sayura.mim: Sinhala input method using the sayura transliteration system, see https://www.sayura.net/im/
mr-gamabhana.mim: Marathi input method with GaMaBhaNa
bn-national-jatiya.mim: Bengali input method National Jatiya layout

** Changes in input methods.

hu-rovas-post: icon added.
kn-inscript.mim: Add mapping for ZWNJ
gu-itrans.mim: Fix e o mappings
bo-ewts.mim: Fix ld mapping
bo-ewts.mim: remove whitespace in rn and brn mapping

** Changes in the build system.

Make ./bootstrap.sh work more like the bootstrap.sh in m17n-lib using

    autoreconf -v -f -i

instead of

    aclocal -I m4
    automake -a
    autoconf

That makes it possible the whole m4/ folder and a bunch of other files because
now they are copied from the system by "autoreconf -v -f -i".


* Changes in the m17n database 1.8.1

** New input methods are added.

pa-remington.mim: Punjabi input method for remington layout
ta-remington.mim: Tamil input method for Remington typewriter layout
as-inscript2.mim: Input method for enhanced inscript layout
bn-inscript2.mim: Input method for enhanced inscript layout
brx-inscript2-deva.mim: Input method for enhanced inscript layout
doi-inscript2-deva.mim: Input method for enhanced inscript layout
gu-inscript2.mim: Input method for enhanced inscript layout
hi-inscript2.mim: Input method for enhanced inscript layout
kn-inscript2.mim: Input method for enhanced inscript layout
kok-inscript2-deva.mim: Input method for enhanced inscript layout
ks-inscript2-deva.mim: Input method for enhanced inscript layout
mai-inscript2.mim: Input method for enhanced inscript layout
ml-inscript2.mim: Input method for enhanced inscript layout
mni-inscript2-beng.mim: Input method for enhanced inscript layout
mni-inscript2-mtei.mim: Input method for enhanced inscript layout
mr-inscript2.mim: Input method for enhanced inscript layout
ne-inscript2-deva.mim: Input method for enhanced inscript layout
or-inscript2.mim: Input method for enhanced inscript layout
pa-inscript2-guru.mim: Input method for enhanced inscript layout
sa-inscript2.mim: Input method for enhanced inscript layout
sat-inscript2-deva.mim: Input method for enhanced inscript layout
sat-inscript2-olck.mim: Input method for enhanced inscript layout
sd-inscript2-deva.mim: Input method for enhanced inscript layout
ta-inscript2.mim: Input method for enhanced inscript layout
te-inscript2.mim: Input method for enhanced inscript layout

** Changes in input methods.

ml-swanalekha.mim: Adjusted for the latest Unicode
unicode.mim: allow input of characters above the BMP
ar-kbd.mim: Use digits 0-9 on the 0-9 keys
ml-mozhi.mim: fix spurious ZWNJ being added (Resolves: https://savannah.nongnu.org/bugs/index.php?59681)


* Changes in the m17n database 1.8.0

** New input methods are added.

mr-remington.mim: Marathi input method for remington layout
mr-typewriter.mim: Marathi input method for typewriter layout
ne-rom-translit.mim: Nepali input method with roman transliteration
ne-trad.mim: Nepali input method for traditional layout
kn-optitransv2.mim: Kannada input method by the OPTITRANS transliteration system
hi-optitransv2.mim: Hindi input method  by the OPTITRANS transliteration system
ml-enhanced-inscript.mim: Malayalam input method for enhanced inscript layout

** This input method is largely augmented.

lsymbol.mim: Add many symbols.

** Names of these input methods are changed.

uk-kbd.mim: renamed from ua-kbd to uk-kbd
zh-zhuyin.mim: renamed from zh-bopomofo to zh-zhuyin


* Changes in the m17n database 1.7.0

** New input methods are added.

ar-translit.mim: Arabic input method based on Roman transliteration.

latn1-pre.mim: Latin input method simulating "US International Keyboard".

ssymbol.mim, lsymbol.mim: Input method for various symbols.

** A new global variable is added.

fallback-input-method: Comma separated fallback input method names.


* Changes in the m17n database 1.6.5

** All input methods in the m17n contrib package are merged.

** New input methods are added.

sa-itrans.mim: Sanskrit input method with ITRANS method

ml-remington.mim: Malayalam input method.


* Changes in the m17n database 1.6.4

This release is just for bug fixing.


* Changes in the m17n database 1.6.3

** A new input method is added.

ua-kbd.mim -- Ukrainian input method with Ukrainian/Russian keyboard layout

** An input method is deleted.

bo-ewts.mim is moved to m17n-contrib package.


* Changes in the m17n database 1.6.2

** New FLT file.

FLT/HEBR-OTF.flt 


* Changes in the m17n database 1.6.1

** This release is just for a minor bug fix.


* Changes in the m17n database 1.6.0

** An input method is deleted.

si-wijesekera-preedit.mim

** New FLT files are added.

FLT/MLM2-OTF.flt, FLT/KND2-OTF.flt, FLT/TEL2-OTF.flt,
FLT/TML2-OTF.flt, FLT/ORY2-OTF.flt, FLT/GJR2-OTF.flt,
FLT/GUR2-OTF.flt, FLT/BNG2-OTF.flt, FLT/DEV2-OTF.flt,
FLT/MYMR-SIL.flt


* Changes in the m17n database 1.5.5

** An input method is deleted.

si-wijesekera-preedit-alt.mim

** These Vietnamese input methods adopt smart-quotes.

vi-telex.mim, vi-tcvn.mim, vi-vni.mim


* Changes in the m17n database 1.5.4

** A new input method is added.

ta-lk-renganathan.mim (Tamil)


* Changes in the m17n database 1.5.3

This release is just for bug fixing.


* Changes in the m17n database 1.5.2

** A new input method is added.

sa-harvard-kyoto.mim (Sanscrit)


* Changes in the m17n database 1.5.1

** A new FLT is added.

CHAM-GENERIC.flt (For Cham script)

** Several new input methods are added.

vi-tcvn.mim (Vietnamese)
cmc-kbd.mim (Cham)
sa-harvard-kyoto.mim (Sanscrit)


* Changes in the m17n database 1.5.0

** A new FLT is added.

COMBINING.flt (For combining diacritical marks)


* Changes in the m17n database 1.4.0

** Several new input methods are added.

da-post.mim (Danish)
bo-ewts.mim (Tibetan)
fr-azerty.mim (French)

** New database for language names.


* Changes in the m17n database 1.3.4

** Several new input methods are added.

grc-mizuochi.mim (Greek)
ja-trycode.mim (Japanese)
ru-phonetic.mim (Russian)
si-wijesekera-preedit.mim (Sinhala)
th-kesmanee-2.mim, th-pattachote.mim th-pattachote-2.mim (Thai)
th-tis820.mim th-tis820-2.mim (Thai)
ug-kbd.mim (Uyghur)
zh-bopomofo.mim (Chinese bopomofo, renamed from bopo-kbd.mim)

** Several new FLTs are added.

LAOO-OTF.flt (Lao)
THAI-OTF.flt (Thai)

** Gettextized.


* Changes in the m17n database 1.3.0

** Wildcard handling is added to mdb.dir.

For instance, the current mdb.dir file contains this single line:
  (input-method * "*.mim")
instead of lines for each input methods.

** Several new input methods are added.

bn-unijoy.mim (Bengali)
hi-typewriter.mim (Hindi)
lo-kbd.mim (Lao)
si-wijesekera.mim (Sinhala)
sv-post.mim (Swedish)
vi-vni.mim (Vietnamese)
zh-cangjie.mim, zh-quick.mim (Chinese)
zh-py-b5.mim, zh-py-gb.mim (Chinese, restricted version of zh-py.mim)
zh-tonepy-b5.mim, zh-tonepy-gb.mim (Chinese, restricted version of zh-tone.mim)

** Several new FLTs are added.

ARAB-OTF-NO-GPOS.flt (Arabic)
KHMR-OTF.flt (Khmer)
LAOO-GENERIC.flt (Lao)
MLYM-RACHANA.flt (Malayalam)
THAI-GENERIC.flt (Thai)
TIBT-OTF.flt (Tibetan)


* Changes in the m17n database 1.2.0

** Naming convention for *.flt and *.mim is changed.

Script names : ISO 15924 (four letter codes)
Language names : ISO 639-1 (two letter codes)
See ChangeLog for details.

** Several new input methods are added.

dv-phonetic.mim (Thaana script)
hy-kbd.mim (Armenian script)
ko-romaja.mim (Korean Hangul script)
my-kbd.mim (Myanmar script)
si-samanala.mim (Sinhala script)
zh-pinyin.min (PinYin script)
bopo-kbd.mim (Bopomofo script)
syrc-phonetic.mim (Syriac script)
latn-pre.mim (Latin script)

** Several new FLTs are added.

SINH-OTF.flt (Sinhala script)
SYRC-OTF.flt (Syriac script)

** Several new char-tables are added.

BLOCK.tab (Unicode Blocks)
CASE-MAPPING.tab CASED.tab SOFT-DOTTED.tab (for case conversion)
LINEBREAK.tab (for linebreaking)
LANGUAGE.tbl (ISO639-1, ISO639-2 language codes)
SCRIPT-LANGUAGE.tbl (script vs languages)

** A new fontset generic.fst is added.


* Changes in the m17n database 1.1.0

** Several new FLTs are added.

ARABIC-OTF.flt (Arabic script)
BEN-OTF.flt (Bengali script)
GUJ-OTF.flt (Gujarati script)
GUR-OTF.flt (Gurmukhi script)
KAN-OTF.flt (Kannada script)
MYANMAR-ZEDI.flt (Myanmar script)
ORI-OTF.flt (Oriya script)
TEL-OTF.flt (Telugu script)
THAANA-OTF.flt (Thaana script)
TML-OTF.flt (Tamil script)

** Several new input methods are added.

sr-kbd.mim (Serbian)
hr-kbd.mim (Croatian)
ka-kdb.mim (Georgian)
kk-arabic.mim (Kazakh in Arabic script)
kk-kdb.mim (Kazakh in Cyrillic script)

** New command m17n-db prints information about the installed m17n database.


* Changes in the m17n database 1.0

** Released.


* Copyright information

Copyright (C) 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013
  2014
  National Institute of Advanced Industrial Science and Technology (AIST)
  Registration Number H15PRO112
Copyright (C) 2015-2024 Kenichi Handa <handa@gnu.org>

This file is part of the m17n database; a sub-part of the m17n
library.

The m17n library is free software; you can redistribute it and/or
modify it under the terms of the GNU Lesser General Public License
as published by the Free Software Foundation; either version 2.1 of
the License, or (at your option) any later version.

The m17n library is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
Lesser General Public License for more details.

You should have received a copy of the GNU Lesser General Public
License along with the m17n library; if not, write to the Free
Software Foundation, Inc., 51 Franklin Street, Fifth Floor,
Boston, MA 02110-1301, USA.
